<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: EffectTrigger Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d9f/class_effect_trigger.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">EffectTrigger Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for EffectTrigger:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d6/d9f/class_effect_trigger.png" usemap="#EffectTrigger_map" alt=""/>
  <map id="EffectTrigger_map" name="EffectTrigger_map">
<area href="../../d5/de6/class_cylinder_trigger.html" title="Trigger with cylinder shape." alt="CylinderTrigger" shape="rect" coords="0,0,101,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aebfa28d42c3033c6ae9b2afd8e7b35ea"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#aebfa28d42c3033c6ae9b2afd8e7b35ea">OnEnterServerEvent</a> (<a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider)</td></tr>
<tr class="separator:aebfa28d42c3033c6ae9b2afd8e7b35ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaf1c08fde2edb9c1a2a41c994e6cb85"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#aaaf1c08fde2edb9c1a2a41c994e6cb85">OnLeaveServerEvent</a> (<a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider)</td></tr>
<tr class="separator:aaaf1c08fde2edb9c1a2a41c994e6cb85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6bbe34e6b6a0d52d152beb02c7e6b8c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#ab6bbe34e6b6a0d52d152beb02c7e6b8c">OnEnterClientEvent</a> (<a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider)</td></tr>
<tr class="separator:ab6bbe34e6b6a0d52d152beb02c7e6b8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac665ec0d3bff3317db943d3ce036538d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#ac665ec0d3bff3317db943d3ce036538d">OnLeaveClientEvent</a> (<a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider)</td></tr>
<tr class="separator:ac665ec0d3bff3317db943d3ce036538d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdb6cdb91d288ff9d8df8fd9b9e8daf7"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#abdb6cdb91d288ff9d8df8fd9b9e8daf7">OnStayStartServerEvent</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> nrOfInsiders)</td></tr>
<tr class="separator:abdb6cdb91d288ff9d8df8fd9b9e8daf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f733144dd95a61bf23ad0424f92f10b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#a3f733144dd95a61bf23ad0424f92f10b">OnStayFinishServerEvent</a> ()</td></tr>
<tr class="separator:a3f733144dd95a61bf23ad0424f92f10b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ed4e9d40d31471f71b90dc3f8a898b7"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#a6ed4e9d40d31471f71b90dc3f8a898b7">OnStayServerEvent</a> (<a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider, <a class="el" href="../../d4/dc3/classfloat.html">float</a> deltaTime)</td></tr>
<tr class="separator:a6ed4e9d40d31471f71b90dc3f8a898b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a353dc48eeeb67532d83d698e63af38c5"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#a353dc48eeeb67532d83d698e63af38c5">GetAmbientSoundsetName</a> ()</td></tr>
<tr class="separator:a353dc48eeeb67532d83d698e63af38c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30e5d3b5617800f13ce48c4197b2b9ac"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#a30e5d3b5617800f13ce48c4197b2b9ac">EffectTrigger</a> ()</td></tr>
<tr class="separator:a30e5d3b5617800f13ce48c4197b2b9ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cd4837d710a8272dfa35c54ecce4377"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#a0cd4837d710a8272dfa35c54ecce4377">SetLocalEffects</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> aroundPartId, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> tinyPartId, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ppeRequesterIdx)</td></tr>
<tr class="separator:a0cd4837d710a8272dfa35c54ecce4377"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e8bc602c24c625e526e723c1be727ce"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#a9e8bc602c24c625e526e723c1be727ce">GetAmbientSoundsetName</a> ()</td></tr>
<tr class="separator:a9e8bc602c24c625e526e723c1be727ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91ee6c8ace9a7540d6e8822274905393"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#a91ee6c8ace9a7540d6e8822274905393">SetupClientEffects</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> enable, notnull <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a91ee6c8ace9a7540d6e8822274905393"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34a4c3f37f1db5d79770778697054d90"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#a34a4c3f37f1db5d79770778697054d90">EOnFrame</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> <a class="el" href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> timeSlice)</td></tr>
<tr class="separator:a34a4c3f37f1db5d79770778697054d90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cd13c025c6aa09fa3d347f3bdbb159f"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#a5cd13c025c6aa09fa3d347f3bdbb159f">CanAddObjectAsInsider</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> object)</td></tr>
<tr class="separator:a5cd13c025c6aa09fa3d347f3bdbb159f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebfa28d42c3033c6ae9b2afd8e7b35ea"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#aebfa28d42c3033c6ae9b2afd8e7b35ea">OnEnterServerEvent</a> (<a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider)</td></tr>
<tr class="separator:aebfa28d42c3033c6ae9b2afd8e7b35ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6bbe34e6b6a0d52d152beb02c7e6b8c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#ab6bbe34e6b6a0d52d152beb02c7e6b8c">OnEnterClientEvent</a> (<a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider)</td></tr>
<tr class="separator:ab6bbe34e6b6a0d52d152beb02c7e6b8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaf1c08fde2edb9c1a2a41c994e6cb85"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#aaaf1c08fde2edb9c1a2a41c994e6cb85">OnLeaveServerEvent</a> (<a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider)</td></tr>
<tr class="separator:aaaf1c08fde2edb9c1a2a41c994e6cb85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac665ec0d3bff3317db943d3ce036538d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#ac665ec0d3bff3317db943d3ce036538d">OnLeaveClientEvent</a> (<a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider)</td></tr>
<tr class="separator:ac665ec0d3bff3317db943d3ce036538d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76db4073503a319c0459cdc48b515660"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#a76db4073503a319c0459cdc48b515660">ShouldRemoveInsider</a> (<a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a> insider)</td></tr>
<tr class="separator:a76db4073503a319c0459cdc48b515660"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a32226937d445b9b79450ae9bc5896f41"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#a32226937d445b9b79450ae9bc5896f41">TriggerEffect</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> insider, <a class="el" href="../../d2/db4/classtypename.html">typename</a> triggerType)</td></tr>
<tr class="separator:a32226937d445b9b79450ae9bc5896f41"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:acb0dd3d69788df47bbfb1126fb687f32"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#acb0dd3d69788df47bbfb1126fb687f32">DAMAGE_TICK_RATE</a> = 10</td></tr>
<tr class="separator:acb0dd3d69788df47bbfb1126fb687f32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf2007b566d5ffb4d02a5d53d4b1982c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#abf2007b566d5ffb4d02a5d53d4b1982c">m_AroundPartId</a></td></tr>
<tr class="separator:abf2007b566d5ffb4d02a5d53d4b1982c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95c9a9e1ea8c1aa0f76d531fa2900879"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#a95c9a9e1ea8c1aa0f76d531fa2900879">m_TinyPartId</a></td></tr>
<tr class="separator:a95c9a9e1ea8c1aa0f76d531fa2900879"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11689e220f464895e371af26d694e336"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#a11689e220f464895e371af26d694e336">m_PPERequester</a></td></tr>
<tr class="separator:a11689e220f464895e371af26d694e336"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d03a46f78bfa23913e9ab1e66e20767"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#a7d03a46f78bfa23913e9ab1e66e20767">m_DeltaTime</a></td></tr>
<tr class="separator:a7d03a46f78bfa23913e9ab1e66e20767"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a079462b842fb631e8b4e24e0213ebbef"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#a079462b842fb631e8b4e24e0213ebbef">m_TimeAccuStay</a></td></tr>
<tr class="separator:a079462b842fb631e8b4e24e0213ebbef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade5ce9e0656aaefccb8ab241048624d5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#ade5ce9e0656aaefccb8ab241048624d5">m_DealDamageFlag</a></td></tr>
<tr class="separator:ade5ce9e0656aaefccb8ab241048624d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4e91223bd476a850c515963c2d8aa2c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../df/def/class_trigger_effect_manager.html">TriggerEffectManager</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d9f/class_effect_trigger.html#ab4e91223bd476a850c515963c2d8aa2c">m_Manager</a></td></tr>
<tr class="separator:ab4e91223bd476a850c515963c2d8aa2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html#l00002">2</a> of file <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html">ContaminatedTrigger.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a30e5d3b5617800f13ce48c4197b2b9ac" name="a30e5d3b5617800f13ce48c4197b2b9ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30e5d3b5617800f13ce48c4197b2b9ac">&#9670;&#160;</a></span>EffectTrigger()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffectTrigger::EffectTrigger </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html#l00013">13</a> of file <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html">EffectTrigger.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a5cd13c025c6aa09fa3d347f3bdbb159f" name="a5cd13c025c6aa09fa3d347f3bdbb159f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5cd13c025c6aa09fa3d347f3bdbb159f">&#9670;&#160;</a></span>CanAddObjectAsInsider()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> EffectTrigger::CanAddObjectAsInsider </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html#l00068">68</a> of file <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html">EffectTrigger.c</a>.</p>

</div>
</div>
<a id="a34a4c3f37f1db5d79770778697054d90" name="a34a4c3f37f1db5d79770778697054d90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34a4c3f37f1db5d79770778697054d90">&#9670;&#160;</a></span>EOnFrame()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void EffectTrigger::EOnFrame </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>other</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>timeSlice</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html#l00062">62</a> of file <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html">EffectTrigger.c</a>.</p>

</div>
</div>
<a id="a353dc48eeeb67532d83d698e63af38c5" name="a353dc48eeeb67532d83d698e63af38c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a353dc48eeeb67532d83d698e63af38c5">&#9670;&#160;</a></span>GetAmbientSoundsetName() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> EffectTrigger::GetAmbientSoundsetName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html#l00096">96</a> of file <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html">ContaminatedTrigger.c</a>.</p>

</div>
</div>
<a id="a9e8bc602c24c625e526e723c1be727ce" name="a9e8bc602c24c625e526e723c1be727ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e8bc602c24c625e526e723c1be727ce">&#9670;&#160;</a></span>GetAmbientSoundsetName() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> EffectTrigger::GetAmbientSoundsetName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html#l00037">37</a> of file <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html">EffectTrigger.c</a>.</p>

</div>
</div>
<a id="ab6bbe34e6b6a0d52d152beb02c7e6b8c" name="ab6bbe34e6b6a0d52d152beb02c7e6b8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6bbe34e6b6a0d52d152beb02c7e6b8c">&#9670;&#160;</a></span>OnEnterClientEvent() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void EffectTrigger::OnEnterClientEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a>&#160;</td>
          <td class="paramname"><em>insider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html#l00055">55</a> of file <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html">ContaminatedTrigger.c</a>.</p>

</div>
</div>
<a id="ab6bbe34e6b6a0d52d152beb02c7e6b8c" name="ab6bbe34e6b6a0d52d152beb02c7e6b8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6bbe34e6b6a0d52d152beb02c7e6b8c">&#9670;&#160;</a></span>OnEnterClientEvent() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void EffectTrigger::OnEnterClientEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a>&#160;</td>
          <td class="paramname"><em>insider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html#l00103">103</a> of file <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html">EffectTrigger.c</a>.</p>

</div>
</div>
<a id="aebfa28d42c3033c6ae9b2afd8e7b35ea" name="aebfa28d42c3033c6ae9b2afd8e7b35ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebfa28d42c3033c6ae9b2afd8e7b35ea">&#9670;&#160;</a></span>OnEnterServerEvent() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void EffectTrigger::OnEnterServerEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a>&#160;</td>
          <td class="paramname"><em>insider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html#l00010">10</a> of file <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html">ContaminatedTrigger.c</a>.</p>

</div>
</div>
<a id="aebfa28d42c3033c6ae9b2afd8e7b35ea" name="aebfa28d42c3033c6ae9b2afd8e7b35ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebfa28d42c3033c6ae9b2afd8e7b35ea">&#9670;&#160;</a></span>OnEnterServerEvent() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void EffectTrigger::OnEnterServerEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a>&#160;</td>
          <td class="paramname"><em>insider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html#l00084">84</a> of file <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html">EffectTrigger.c</a>.</p>

</div>
</div>
<a id="ac665ec0d3bff3317db943d3ce036538d" name="ac665ec0d3bff3317db943d3ce036538d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac665ec0d3bff3317db943d3ce036538d">&#9670;&#160;</a></span>OnLeaveClientEvent() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void EffectTrigger::OnLeaveClientEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a>&#160;</td>
          <td class="paramname"><em>insider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html#l00060">60</a> of file <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html">ContaminatedTrigger.c</a>.</p>

</div>
</div>
<a id="ac665ec0d3bff3317db943d3ce036538d" name="ac665ec0d3bff3317db943d3ce036538d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac665ec0d3bff3317db943d3ce036538d">&#9670;&#160;</a></span>OnLeaveClientEvent() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void EffectTrigger::OnLeaveClientEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a>&#160;</td>
          <td class="paramname"><em>insider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html#l00137">137</a> of file <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html">EffectTrigger.c</a>.</p>

</div>
</div>
<a id="aaaf1c08fde2edb9c1a2a41c994e6cb85" name="aaaf1c08fde2edb9c1a2a41c994e6cb85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaaf1c08fde2edb9c1a2a41c994e6cb85">&#9670;&#160;</a></span>OnLeaveServerEvent() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void EffectTrigger::OnLeaveServerEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a>&#160;</td>
          <td class="paramname"><em>insider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html#l00033">33</a> of file <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html">ContaminatedTrigger.c</a>.</p>

</div>
</div>
<a id="aaaf1c08fde2edb9c1a2a41c994e6cb85" name="aaaf1c08fde2edb9c1a2a41c994e6cb85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaaf1c08fde2edb9c1a2a41c994e6cb85">&#9670;&#160;</a></span>OnLeaveServerEvent() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void EffectTrigger::OnLeaveServerEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a>&#160;</td>
          <td class="paramname"><em>insider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html#l00122">122</a> of file <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html">EffectTrigger.c</a>.</p>

</div>
</div>
<a id="a3f733144dd95a61bf23ad0424f92f10b" name="a3f733144dd95a61bf23ad0424f92f10b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f733144dd95a61bf23ad0424f92f10b">&#9670;&#160;</a></span>OnStayFinishServerEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void EffectTrigger::OnStayFinishServerEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html#l00077">77</a> of file <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html">ContaminatedTrigger.c</a>.</p>

</div>
</div>
<a id="a6ed4e9d40d31471f71b90dc3f8a898b7" name="a6ed4e9d40d31471f71b90dc3f8a898b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ed4e9d40d31471f71b90dc3f8a898b7">&#9670;&#160;</a></span>OnStayServerEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void EffectTrigger::OnStayServerEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a>&#160;</td>
          <td class="paramname"><em>insider</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>deltaTime</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html#l00086">86</a> of file <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html">ContaminatedTrigger.c</a>.</p>

</div>
</div>
<a id="abdb6cdb91d288ff9d8df8fd9b9e8daf7" name="abdb6cdb91d288ff9d8df8fd9b9e8daf7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abdb6cdb91d288ff9d8df8fd9b9e8daf7">&#9670;&#160;</a></span>OnStayStartServerEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void EffectTrigger::OnStayStartServerEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>nrOfInsiders</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html#l00066">66</a> of file <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html">ContaminatedTrigger.c</a>.</p>

</div>
</div>
<a id="a0cd4837d710a8272dfa35c54ecce4377" name="a0cd4837d710a8272dfa35c54ecce4377"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cd4837d710a8272dfa35c54ecce4377">&#9670;&#160;</a></span>SetLocalEffects()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffectTrigger::SetLocalEffects </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>aroundPartId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>tinyPartId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>ppeRequesterIdx</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html#l00027">27</a> of file <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html">EffectTrigger.c</a>.</p>

</div>
</div>
<a id="a91ee6c8ace9a7540d6e8822274905393" name="a91ee6c8ace9a7540d6e8822274905393"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91ee6c8ace9a7540d6e8822274905393">&#9670;&#160;</a></span>SetupClientEffects()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EffectTrigger::SetupClientEffects </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>enable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">notnull <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html#l00042">42</a> of file <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html">EffectTrigger.c</a>.</p>

</div>
</div>
<a id="a76db4073503a319c0459cdc48b515660" name="a76db4073503a319c0459cdc48b515660"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76db4073503a319c0459cdc48b515660">&#9670;&#160;</a></span>ShouldRemoveInsider()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> EffectTrigger::ShouldRemoveInsider </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db9/class_trigger_insider.html">TriggerInsider</a>&#160;</td>
          <td class="paramname"><em>insider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html#l00158">158</a> of file <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html">EffectTrigger.c</a>.</p>

</div>
</div>
<a id="a32226937d445b9b79450ae9bc5896f41" name="a32226937d445b9b79450ae9bc5896f41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32226937d445b9b79450ae9bc5896f41">&#9670;&#160;</a></span>TriggerEffect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void EffectTrigger::TriggerEffect </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>insider</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/db4/classtypename.html">typename</a> triggerType&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html#l00165">165</a> of file <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html">EffectTrigger.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="acb0dd3d69788df47bbfb1126fb687f32" name="acb0dd3d69788df47bbfb1126fb687f32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb0dd3d69788df47bbfb1126fb687f32">&#9670;&#160;</a></span>DAMAGE_TICK_RATE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> EffectTrigger::DAMAGE_TICK_RATE = 10</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html#l00004">4</a> of file <a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html">ContaminatedTrigger.c</a>.</p>

</div>
</div>
<a id="abf2007b566d5ffb4d02a5d53d4b1982c" name="abf2007b566d5ffb4d02a5d53d4b1982c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf2007b566d5ffb4d02a5d53d4b1982c">&#9670;&#160;</a></span>m_AroundPartId</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> EffectTrigger::m_AroundPartId</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html#l00005">5</a> of file <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html">EffectTrigger.c</a>.</p>

</div>
</div>
<a id="ade5ce9e0656aaefccb8ab241048624d5" name="ade5ce9e0656aaefccb8ab241048624d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade5ce9e0656aaefccb8ab241048624d5">&#9670;&#160;</a></span>m_DealDamageFlag</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> EffectTrigger::m_DealDamageFlag</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html#l00010">10</a> of file <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html">EffectTrigger.c</a>.</p>

</div>
</div>
<a id="a7d03a46f78bfa23913e9ab1e66e20767" name="a7d03a46f78bfa23913e9ab1e66e20767"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d03a46f78bfa23913e9ab1e66e20767">&#9670;&#160;</a></span>m_DeltaTime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> EffectTrigger::m_DeltaTime</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html#l00008">8</a> of file <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html">EffectTrigger.c</a>.</p>

</div>
</div>
<a id="ab4e91223bd476a850c515963c2d8aa2c" name="ab4e91223bd476a850c515963c2d8aa2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4e91223bd476a850c515963c2d8aa2c">&#9670;&#160;</a></span>m_Manager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../df/def/class_trigger_effect_manager.html">TriggerEffectManager</a> EffectTrigger::m_Manager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html#l00011">11</a> of file <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html">EffectTrigger.c</a>.</p>

</div>
</div>
<a id="a11689e220f464895e371af26d694e336" name="a11689e220f464895e371af26d694e336"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11689e220f464895e371af26d694e336">&#9670;&#160;</a></span>m_PPERequester</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> EffectTrigger::m_PPERequester</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html#l00007">7</a> of file <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html">EffectTrigger.c</a>.</p>

</div>
</div>
<a id="a079462b842fb631e8b4e24e0213ebbef" name="a079462b842fb631e8b4e24e0213ebbef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a079462b842fb631e8b4e24e0213ebbef">&#9670;&#160;</a></span>m_TimeAccuStay</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> EffectTrigger::m_TimeAccuStay</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html#l00009">9</a> of file <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html">EffectTrigger.c</a>.</p>

</div>
</div>
<a id="a95c9a9e1ea8c1aa0f76d531fa2900879" name="a95c9a9e1ea8c1aa0f76d531fa2900879"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95c9a9e1ea8c1aa0f76d531fa2900879">&#9670;&#160;</a></span>m_TinyPartId</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> EffectTrigger::m_TinyPartId</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html#l00006">6</a> of file <a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html">EffectTrigger.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>scripts/4_World/Entities/ScriptedEntities/Triggers/<a class="el" href="../../d1/dd6/_contaminated_trigger_8c_source.html">ContaminatedTrigger.c</a></li>
<li>scripts/4_World/Entities/ScriptedEntities/Triggers/<a class="el" href="../../d7/d8e/_effect_trigger_8c_source.html">EffectTrigger.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d6/d9f/class_effect_trigger.html">EffectTrigger</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
